GDB (xrefs)

Functions
/tmp/gdb-8.1/gdb/x86-bsd-nat.c File Reference
`#include "defs.h"`
`#include "inferior.h"`
`#include "gdbthread.h"`
`#include <signal.h>`
`#include <sys/types.h>`
`#include <sys/ptrace.h>`
`#include <machine/reg.h>`
`#include "x86-nat.h"`
`#include "x86-bsd-nat.h"`
`#include "inf-ptrace.h"`

Go to the source code of this file.

## Functions
struct target_ops * | x86bsd_target (void)

## Function Documentation

## ◆ x86bsd_target()

struct target_ops* x86bsd_target | ( | void |  | ) |

Definition at line 141 of file x86-bsd-nat.c.

References x86_dr_low_type::get_addr, x86_dr_low_type::get_control, x86_dr_low_type::get_status, inf_ptrace_target(), x86_dr_low_type::set_addr, x86_dr_low_type::set_control, target_ops::to_mourn_inferior, x86_dr_low, x86_set_debug_register_length(), and x86_use_watchpoints().

Referenced by amd64bsd_target(), and i386bsd_target().